- name: Copy jars inside the VM
  copy:
    src: resources/{{ item }}
    dest: /usr/local/lib
  with_items:
    - antlr-4.11.1-complete.jar

- name: Create symlink for antlr jar
  ansible.builtin.file:
    src: /usr/local/lib/antlr-4.11.1-complete.jar
    dest: /usr/local/lib/antlr4.jar
    state: link

- name: Set the CLASSPATH
  become: yes
  become_user: "{{ username }}"
  lineinfile:
    path: "/home/{{ username }}/.bashrc"
    line: 'export CLASSPATH=".:/usr/local/lib/antlr4.jar:$CLASSPATH"'

- name: Set the antlr4 alias
  become: yes
  become_user: "{{ username }}"
  lineinfile:
    path: "/home/{{ username }}/.bashrc"
    line: 'alias antlr4="java -jar /usr/local/lib/antlr4.jar"'

- name: Set the grun alias
  become: yes
  become_user: "{{ username }}"
  lineinfile:
    path: "/home/{{ username }}/.bashrc"
    line: 'alias grun="java org.antlr.v4.gui.TestRig"'
